summaryrefslogtreecommitdiffstats
path: root/apigateway/tools
diff options
context:
space:
mode:
authorshangxdy <shang.xiaodong@zte.com.cn>2017-02-28 15:51:34 +0800
committershangxdy <shang.xiaodong@zte.com.cn>2017-03-06 16:26:40 +0800
commit119d491d35d02195cd0f77ba63f9dc133c15666f (patch)
tree397bc30dce7ccf2da7522b6d834908bff3b4eda8 /apigateway/tools
parent53b22cfb7ad8b323073213e4e55584261dd4e50a (diff)
Init api gateway framework
Add api gateway init frame code JIRA:PARSER-112 Change-Id: I4e5cff09f8ded4107b02bcdd791e5e2b707e11c5 Signed-off-by: shangxdy <shang.xiaodong@zte.com.cn>
Diffstat (limited to 'apigateway/tools')
-rwxr-xr-xapigateway/tools/build.sh21
-rwxr-xr-xapigateway/tools/install_proto3.sh40
-rwxr-xr-xapigateway/tools/tox_install_python.sh16
3 files changed, 77 insertions, 0 deletions
diff --git a/apigateway/tools/build.sh b/apigateway/tools/build.sh
new file mode 100755
index 0000000..61af23f
--- /dev/null
+++ b/apigateway/tools/build.sh
@@ -0,0 +1,21 @@
+#!/bin/sh
+# Licensed under the Apache License, Version 2.0 (the "License");
+# you may not use this file except in compliance with the License.
+# You may obtain a copy of the License at
+#
+# http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing, software
+# distributed under the License is distributed on an "AS IS" BASIS,
+# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or
+# implied.
+# See the License for the specific language governing permissions and
+# limitations under the License.
+
+if [ ! -f configure ]; then
+ autoreconf -fi
+fi
+if [ ! -f Makefile ]; then
+ ../configure
+fi
+make
diff --git a/apigateway/tools/install_proto3.sh b/apigateway/tools/install_proto3.sh
new file mode 100755
index 0000000..1281209
--- /dev/null
+++ b/apigateway/tools/install_proto3.sh
@@ -0,0 +1,40 @@
+#!/bin/bash
+# Licensed under the Apache License, Version 2.0 (the "License");
+# you may not use this file except in compliance with the License.
+# You may obtain a copy of the License at
+#
+# http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing, software
+# distributed under the License is distributed on an "AS IS" BASIS,
+# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or
+# implied.
+# See the License for the specific language governing permissions and
+# limitations under the License.
+
+if [ -z $GOPATH ]; then
+ echo "oaktreemodel requires a golang environment."
+ echo "Please set GOPATH and make sure GOPATH/bin is in your PATH."
+ exit 1
+fi
+GRPCDIR=$GOPATH/src/github.com/grpc/grpc
+GRPCVER=$(curl -L http://grpc.io/release)
+mkdir -p $(dirname $GRPCDIR)
+git clone -b $GRPCVER https://github.com/grpc/grpc $GRPCDIR
+pushd $GRPCDIR
+
+git submodule update --init
+make
+if [ $(id -u) = '0' ] ; then
+ SUDO=
+else
+ SUDO=sudo
+fi
+$SUDO make install
+cd third_party/protobuf
+$SUDO make install
+
+popd
+
+go get google.golang.org/grpc
+go get -u github.com/golang/protobuf/{proto,protoc-gen-go}
diff --git a/apigateway/tools/tox_install_python.sh b/apigateway/tools/tox_install_python.sh
new file mode 100755
index 0000000..ba9eb5e
--- /dev/null
+++ b/apigateway/tools/tox_install_python.sh
@@ -0,0 +1,16 @@
+#!/bin/sh
+# Licensed under the Apache License, Version 2.0 (the "License");
+# you may not use this file except in compliance with the License.
+# You may obtain a copy of the License at
+#
+# http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing, software
+# distributed under the License is distributed on an "AS IS" BASIS,
+# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or
+# implied.
+# See the License for the specific language governing permissions and
+# limitations under the License.
+
+./build.sh
+pip install -U $*